<div class="report-filter-container" *ngIf="reportFilter">

    <ng-container *ngFor="let filter of reportFilter.filters">
        <div class="d-flex">
            <mat-form-field appearance="outline" style="max-width: 150px;">
                <mat-label>{{filter.title || filter.controlDetails.title}}</mat-label>
                <mat-select>
                    <mat-option [value]="type.control" *ngFor="let type of reportFilter.filters">{{type?.controlDetails?.title}}</mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field appearance="outline" class="mx-2">
                <mat-label>{{filter?.title || filter.controlDetails?.title}}</mat-label>
                <ng-container [ngSwitch]="filter.controlDetails?.type">

                    <ng-template [ngSwitchCase]="MultiSelect">
                        <app-kendo-multi-select [dropDownArrow]="true" [data]="filter.controlDetails.data"></app-kendo-multi-select>
                    </ng-template>

                    <ng-template [ngSwitchCase]="DropDown">
                        <app-dropdown-search [data]="filter.controlDetails.data"></app-dropdown-search>
                    </ng-template>

                    <ng-template [ngSwitchCase]="DatePicker">
                        <app-date-picker></app-date-picker>
                    </ng-template>

                    <ng-template [ngSwitchCase]="DateRangePicker">
                        <app-date-range></app-date-range>
                    </ng-template>

                    <ng-template [ngSwitchCase]="TimePicker">
                        <app-time-picker></app-time-picker>
                    </ng-template>

                    <ng-template [ngSwitchCase]="Text">
                        <input matInput type="text" />
                    </ng-template>

                    <ng-template [ngSwitchCase]="DropDownDateRangePicker">

                    </ng-template>

<!--                    <ng-template [ngSwitchCase]="MultiControl">-->

<!--                    </ng-template>-->

                    <ng-template [ngSwitchCase]="NumericInput">
                        <input matInput type="text" appOnlyNumber />
                    </ng-template>

                </ng-container>
            </mat-form-field>

            <div class="d-flex align-items-center">
                <mat-icon class="cursor-pointer" style="margin-top: -22px;">more_vert</mat-icon>
            </div>
        </div>
    </ng-container>

</div>
